<?php
$moduleurl = $_SERVER["REQUEST_URI"];
$urlcut = strpos($moduleurl, "&");
if($urlcut > 0)
{
	$moduleurl = substr($moduleurl,0,$urlcut);
}
else
{ 
	if(strpos($moduleurl, "?") == 0)
	{
		$moduleurl = $_SERVER["REQUEST_URI"]."?site=1"; 	
	}
}

include ($_SERVER["DOCUMENT_ROOT"]."/Site/checkadmin.php");
//include_once ($_SERVER["DOCUMENT_ROOT"]."/Admin/Modules/VPNconfig/config.inc");
//include_once ($_SERVER["DOCUMENT_ROOT"]."/Admin/Modules/VPNconfig/include/functions.inc");

$mode = $_REQUEST["uebergabe"];
$cert = $_REQUEST["uebergabe2"];

echo"		<p><a href=\"".$moduleurl."&uebergabe=0\">Home</a> 
			| <a href=\"".$moduleurl."&uebergabe=1\">Status</a> 
			| <a href=\"".$moduleurl."&uebergabe=2\">Config</a> 
			| <a href=\"".$moduleurl."&uebergabe=3\">Certificates</a>
			| <a href=\"".$moduleurl."&uebergabe=6\">IP-List</a>
			| <a href=\"".$moduleurl."&uebergabe=7\">Config-Editor</a>
			| <a href=\"".$moduleurl."&uebergabe=4\">Systemcheck</a><hr /><br />";

switch($mode)
{
	case 1:
		include ($_SERVER["DOCUMENT_ROOT"]."/Admin/Modules/VPNconfig/include/status.php");
		break;
	case 2: 
		include ($_SERVER["DOCUMENT_ROOT"]."/Admin/Modules/VPNconfig/include/config.php");
		break;
	case 3:
		include ($_SERVER["DOCUMENT_ROOT"]."/Admin/Modules/VPNconfig/include/certs.php");
		break;
	case 4: 
		include ($_SERVER["DOCUMENT_ROOT"]."/Admin/Modules/VPNconfig/include/sys.php");
		break;
	case 5: 
		include ($_SERVER["DOCUMENT_ROOT"]."/Admin/Modules/VPNconfig/include/viewcert.php");
		break;
	case 6: 
		include ($_SERVER["DOCUMENT_ROOT"]."/Admin/Modules/VPNconfig/include/ipp.php");
		break;
	case 7: 
		include ($_SERVER["DOCUMENT_ROOT"]."/Admin/Modules/VPNconfig/include/config-edit.php");
		break;
	default:
		echo"<h1><b>VPN Configuration</b></h1>   
			<h2>Choose an action:</h2>
			<p># <a href=\"".$moduleurl."&uebergabe=1\">Status</a></p> 
			<p># <a href=\"".$moduleurl."&uebergabe=2\">Config</a></p>
			<p># <a href=\"".$moduleurl."&uebergabe=3\">Certificates</a></p>
			<p># <a href=\"".$moduleurl."&uebergabe=6\">IP-List</a></p>
			<p># <a href=\"".$moduleurl."&uebergabe=7\">Config Editor</a></p>
			<p># <a href=\"".$moduleurl."&uebergabe=4\">Systemcheck</a></p><br />";
		break;		
}
?>
